from matplotlib.pyplot import plot, show, grid, subplots, axhline, axvline
from numpy import linspace

x = linspace(-5, 5, 100)
y = -0.2*x**3 + 0.1*x**2- 0.3*x + 2
z = 0.3*x**3 - 0.5*x - 1

fig, ax = subplots(figsize=(5, 5))
ax.set_ylim(-5,5)
plot(x,y)
plot(x,z)
grid(linestyle='--')

axhline(y=0, color='black', linestyle='-')
axvline(x=0, color='black', linestyle='-')

show()
